ServerName			"Unimatrix001 FTP Server"
ServerIdent			on "FTP server ready."
ServerType			standalone
ServerAdmin			root@unimatrix001.student.utwente.nl
DefaultServer			on
MaxClients			25 "Maximum number of allowed users connected to %L"
Port				21
tcpNoDelay			off
TimeoutStalled			600
Umask				0337

# Set the user and group that the server normally runs at.
User				nobody
Group				nobody

# A basic anonymous configuration, no upload directories.
<Anonymous ~>
  User				ftp
  Group				ftp
  UserAlias			anonymous ftp
  RequireValidShell		off

  AccessGrantMsg		"Anonymous access granted to user %u."
  DisplayLogin			welcome.msg
  DisplayFirstChdir		.message
  HideNoAccess

  # Limit delete, make dir, remove dir, rename from/to and store
  # everywhere in the anonymous chroot.
  <Limit DELE MKD RMD RNFR RNTO STOR>
    Order deny,allow
    DenyAll
  </Limit>

  # Allow change dir, make dir and store in upload dir.
  <Directory incoming>
    <Limit CWD MKD STOR>
      Order deny,allow
      AllowAll
    </Limit>
  </Directory>
</Anonymous>
